# $Revision: 1.41 $, $Date: 2006/03/12 20:03:22 $
Summary:	Utilities for configuring the Linux ethernet bridge
Summary(pl):	Narzdzia przeznaczone do konfiguracji linuksowego ethernet bridge
Name:		bridge-utils
Version:	1.1
Release:	1
License:	GPL
Group:		Networking/Admin
Source0:	http://dl.sourceforge.net/bridge/%{name}-%{version}.tar.gz
# Source0-md5:	43bbd2a67b59cac3e15d545f8b51df68
URL:		http://bridge.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	linux-libc-headers >= 7:2.6.7
BuildRequires:	sysfsutils-devel
BuildRequires:	sed >= 4.0
Obsoletes:	brcfg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
This package contains utilities for configuring the Linux ethernet
bridge. The Linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

%description -l pl
Ten pakiet zawiera narzdzia przeznaczone do konfigurowania
linuksowego ethernet bridge (inteligentnego switcha). Linux ethernet
bridge moe by uyty do czenia kilku ethernetowych interfejsw
sieciowych w jeden. Poczenie jest w peni przezroczyste; hosty
przyczone po jednej stronie widz hosty z drugiej strony
bezporednio.

%package devel
Summary:	Libraries for the linux ethernet bridge programs
Summary(pl):	Biblioteki uywane do sterowania linuksowym bridge
Group:		Development/Libraries

%description devel
This package contains the header and object files necessary for
developing programs which use 'libbridge', the interface to the linux
kernel ethernet bridge.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe i bibliotek konieczn do rozwoju
programw uywajcych libbridge - interfejsu do linuksowego ethernet
bridge.

%prep
%setup -q

rm -rf autom4te.cache

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%configure
chmod u+w libbridge/libbridge_private.h
sed -i -e 's#sysfs/libsysfs.h#libsysfs.h#g' libbridge/libbridge_private.h
sed -i -e 's#KERNEL_HEADERS=.*#KERNEL_HEADERS=#g' */Makefile*
%{__make} \
	KERNEL_HEADERS=""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_libdir},%{_includedir}} \
	$RPM_BUILD_ROOT%{_mandir}/man8

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/{FAQ,FIREWALL,HOWTO,SMPNOTES,WISHLIST}
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%files devel
%defattr(644,root,root,755)
%{_libdir}/*.a
%{_includedir}/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bridge-utils.spec,v $
Revision 1.41  2006/03/12 20:03:22  arekm
- up to 1.1

Revision 1.40  2005/11/14 14:03:30  radek
- pl fix: "przezroczysty" is written with "z", not zacute

Revision 1.39  2005/03/19 18:25:49  arekm
- up to 1.0.6

Revision 1.38  2004/09/01 12:18:41  qboosh
- updated for current llh, kill autom4te.cache

Revision 1.37  2004/09/01 10:30:52  qboosh
- cosmetics

Revision 1.36  2004/08/19 07:41:06  qboosh
- pl fixes, Source0 URL unification

Revision 1.35  2004/08/18 19:26:16  undefine
- release 1

Revision 1.34  2004/08/18 17:19:27  averne
- rel 1

Revision 1.33  2004/08/18 17:13:50  averne
- refresh config.sub

Revision 1.32  2004/06/08 19:05:04  pluto
- S0: changed, md5 fixed.

Revision 1.31  2004/06/08 18:45:55  pluto
- updated to 1.0.4.

  released a new version of bridge utilities that supports both
  new 2.6.7 interface and older 2.6/2.4 releases.
  The only changes since 1.0 were internal to fix compatibility issues.

Revision 1.30  2004/05/27 22:08:32  arekm
- update; llh needs update to get this package building

Revision 1.29  2004/03/13 21:17:56  arekm
- rel 1

Revision 1.28  2003/11/11 02:06:29  qboosh
- BR: ac,am

Revision 1.26  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 05:46:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/03/03 10:29:46  qwark
 - new ver. 0.9.6 Use autoconf now, so Makefile patch removed, rootonly patch updated

Revision 1.23  2002/12/02 11:06:15  ankry
- massive cleaning

Revision 1.22  2002/11/25 14:38:23  marcus
- use new %%doc

Revision 1.21  2002/04/25 15:55:24  arturs
fixed a small typo

Revision 1.20  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/02 05:07:10  kloczek
- cosmetics.

Revision 1.18  2002/01/31 10:51:58  misiek
- updated to 0.9.5

Revision 1.17  2002/01/18 02:12:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2002/01/10 20:10:47  misiek
- use our cc

Revision 1.15  2001/07/20 20:37:19  migo
- s/linuxow/linuksow/

Revision 1.14  2001/06/27 07:17:26  kloczek
- updated to 0.9.3.

Revision 1.13  2001/05/06 15:40:57  misiek
updated to 0.9.2

Revision 1.12  2001/04/30 16:05:15  kloczek
- added using %%{rpmcflags} macro.

Revision 1.11  2001/03/03 12:12:03  kloczek
- release 2: added using rpm automation and make spec %%{debug} ready.

Revision 1.10  2000/09/22 13:40:38  newrom
- added BuildRequires:  kernel-headers(bridging)

Revision 1.9  2000/09/21 20:55:35  kloczek
- adapterization and fiew cosmetics.

Revision 1.8  2000/09/21 13:25:34  newrom
- updated to 0.9.1

Revision 1.7  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.5  2000/05/05 15:05:59  mis
- Group: synced with PLD groups

Revision 1.4  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.2  2000/02/22 11:04:28  kloczek
- spec adapterized,
- cosmetics.

Revision 1.1  2000/02/22 10:55:21  misiek
- bridge configuring utils
